<?php
//require_once '../vendor/autoload.php';
//    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
//    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);

class Educadores extends Controller{

    public function __construct()
    {

    if(!isLoggedIn()){
            redirect('users/login');
    }
        //new model instance
    $this->EducaModel = $this->model('Educador');
    //    $this->estModel = $this->model('Estado');
    //    $this->userModel = $this->model('User');
    //    $this->edifModel = $this->model('Edificio');
    }

    public function inicio(){
    $this->index(1);
    }

    public function index($n){
        $id=$_SESSION['email'];

        $educadorx = $this->EducaModel->EducaById($id);
        if(!$educadorx){
            $_SESSION["k_msj"]='Profesor NO registrado...';
        //redirect('users/login');
        }
//var_dump($educadorx);
//exit;
        $educa_ced=$educadorx->cedula;

        $datos_educa = [
        'id_ed' => $educadorx->cedula,
        'ape_ed' => $educadorx->apellidos,
        'nom_ed' => $educadorx->nombres,
        ];

        $educador = $this->EducaModel->EducaCursos($educa_ced);
        //       var_dump($educador);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('educadores/index.html.twig', ['datos_educa' => $datos_educa,'educador' => $educador]);
    }

    public function Actitudinales($id){
    $eval_control = $this->EducaModel->EducaControl($id);
    $eval_ced=$eval_control->cedula;
    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);


    $idmail=$_SESSION['email'];
    $educadorx = $this->EducaModel->EducaById($idmail);
    $educa_ced=$educadorx->cedula;

    //exit;
    if($educa_ced == $eval_ced){
    }else{
    redirect('educadores/');
    }
/*    var_dump($eval_control);
    $aaa=$this->EducaModel->EducaActitudinalBus($eval_cur,$eval_tec,$eval_mes,$eval_ano);
    var_dump($aaa);*/

    if($this->EducaModel->EducaActitudinalBus($eval_cur,$eval_tec,$eval_mes,$eval_ano)==0){
    //echo 'verdad'.$educa_ced;
    $this->ActitudinalesNva($id);
    }else{
    $this->ActitudinalesAct($id);
    }
    }

    public function Actitudinales_pro($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($eval_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($eval_cur);

    $eval_asiste = $this->EducaModel->EducaActitudinalEdit($eval_cur,$eval_tec,$eval_mes,$eval_ano);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    $twig->addExtension(new \Twig\Extension\DebugExtension());
    echo $twig->render('educadores/actitudinales1.html.twig', ['eval_asiste' => $eval_asiste,'reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function ActitudinalesAct($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($eval_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($eval_cur);

    $eval_asiste = $this->EducaModel->EducaActitudinalEdit($eval_cur,$eval_tec,$eval_mes,$eval_ano);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    $twig->addExtension(new \Twig\Extension\DebugExtension());
    echo $twig->render('educadores/actitudinales0.html.twig', ['eval_asiste' => $eval_asiste,'reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function ActitudinalesNva($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $educa_tec=$eval_control->tecnica;
    $ceds=$eval_control->codigo;
    $ano=$eval_control->ano;
    $mes_viene=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($educa_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($ceds);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('educadores/actitudinales.html.twig', ['reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function AsistenciaGuardar(){
    $asiste=$_POST;
    $id=$_SESSION['email'];

    $educadorx = $this->EducaModel->EducaGuardarAsist($asiste);

//[no_id] => 5862 [no_tec] => 92 [no_cur] => AEI1801 [carga] => Mensual [mes] => 05 [anho] => 2019
    $curso=$asiste['no_id'];
    redirect('educadores/evaluaciones/'.$asiste['idd']);

    }

    public function Asistencia($id){
    $eval_control = $this->EducaModel->EducaControl($id);

    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    //ECHO 'KK'.$this->EducaModel->EducaBusAsistencia($eval_cur,$eval_tec,$eval_mes,$eval_ano);
    //EXIT;
    if($this->EducaModel->EducaBusAsistencia($eval_cur,$eval_tec,$eval_mes,$eval_ano)==0){
    $this->AsistenciaNva($id);
    }else{
    $this->AsistenciaAct($id);
    }
    }

    public function Asistencia_pro($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($eval_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($eval_cur);

    $eval_asiste = $this->EducaModel->EducaEditAsistencia($eval_cur,$eval_tec,$eval_mes,$eval_ano);
//echo $eval_cur.','.$eval_tec.','.$eval_mes.','.$eval_ano;

//var_dump($eval_asiste);
//exit;

$ano=$eval_ano;
$mes_viene=$eval_mes;

$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
$meshoy=intval($mes_viene)-1;
$mes_sigue=intval($mes_viene)+1;

$fecha_ini=$ano."-".$mes_viene."-01";
$fecha_fin=$ano."-".$mes_sigue."-01";
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin)-1440);

    for ($i = 1; $i <= $dia_fin; $i++) {
    $fecha_ini=$ano."-".$mes_viene."-".$i;
    $dia_sem=date("w",strtotime($fecha_ini));
        if($dia_sem==0 or $dia_sem==6){
        $estado = 0;
        }else{
        $estado = 1;
        }

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => $estado,
    );

    }
for ($i = $dia_fin+1; $i <= 31; $i++) {
//echo "<th align='center' width='1%' bgcolor='#FF0000'>".$i."</th>";

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => 0,
    );
}
//print_r($datos_mes);
//exit;

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    $twig->addExtension(new \Twig\Extension\DebugExtension());
//    echo $twig->render('educadores/asistencia.html.twig', ['datos_educa' => $datos_educa,'datos_meses' => $datos_mes,'educados' => $educadorx]);
    echo $twig->render('educadores/asistencia1.html.twig', ['eval_asiste' => $eval_asiste,'datos_meses' => $datos_mes,'reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function AsistenciaAct($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $eval_tec=$eval_control->tecnica;
    $eval_cur=$eval_control->codigo;
    $eval_ano=$eval_control->ano;
    $eval_mes=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($eval_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($eval_cur);

    $eval_asiste = $this->EducaModel->EducaEditAsistencia($eval_cur,$eval_tec,$eval_mes,$eval_ano);
//echo $eval_cur.','.$eval_tec.','.$eval_mes.','.$eval_ano;

//var_dump($eval_asiste);
//exit;

$ano=$eval_ano;
$mes_viene=$eval_mes;

$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
$meshoy=intval($mes_viene)-1;
$mes_sigue=intval($mes_viene)+1;

$fecha_ini=$ano."-".$mes_viene."-01";
$fecha_fin=$ano."-".$mes_sigue."-01";
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin)-1440);

    for ($i = 1; $i <= $dia_fin; $i++) {
    $fecha_ini=$ano."-".$mes_viene."-".$i;
    $dia_sem=date("w",strtotime($fecha_ini));
        if($dia_sem==0 or $dia_sem==6){
        $estado = 0;
        }else{
        $estado = 1;
        }

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => $estado,
    );

    }
for ($i = $dia_fin+1; $i <= 31; $i++) {
//echo "<th align='center' width='1%' bgcolor='#FF0000'>".$i."</th>";

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => 0,
    );
}
//print_r($datos_mes);
//exit;

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    $twig->addExtension(new \Twig\Extension\DebugExtension());
//    echo $twig->render('educadores/asistencia.html.twig', ['datos_educa' => $datos_educa,'datos_meses' => $datos_mes,'educados' => $educadorx]);
    echo $twig->render('educadores/asistencia0.html.twig', ['eval_asiste' => $eval_asiste,'datos_meses' => $datos_mes,'reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }


    public function AsistenciaNva($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $educa_tec=$eval_control->tecnica;
    $ceds=$eval_control->codigo;
    $ano=$eval_control->ano;
    $mes_viene=str_pad($eval_control->mes,2, "0", STR_PAD_LEFT);

    $ver_tecnica = $this->EducaModel->EducaTecnica($educa_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($ceds);

/*    $eval_control = $this->EducaModel->EducaControl($id);
    $id=$_SESSION['email'];
    $registro=explode("$",$reg);
    print_r($registro);
    $no_cur=$registro[0];$no_mes=$registro[1];$no_anho=$registro[2];
    echo '--->'.$no_cur;
    $educadorx = $this->EducaModel->EducaAlum($no_cur);

        $datos_educa = [
        'no_cur' => $no_cur,
        'no_mes' => $no_mes,
        'no_anho' => $no_anho,
        ];

$ano=$no_anho;
$mes_viene=str_pad($no_mes,2, "0", STR_PAD_LEFT);
*/



$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
$meshoy=intval($mes_viene)-1;
$mes_sigue=intval($mes_viene)+1;

$fecha_ini=$ano."-".$mes_viene."-01";
$fecha_fin=$ano."-".$mes_sigue."-01";
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin)-1440);

    for ($i = 1; $i <= $dia_fin; $i++) {
    $fecha_ini=$ano."-".$mes_viene."-".$i;
    $dia_sem=date("w",strtotime($fecha_ini));
        if($dia_sem==0 or $dia_sem==6){
        $estado = 0;
        }else{
        $estado = 1;
        }

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => $estado,
    );

    }
for ($i = $dia_fin+1; $i <= 31; $i++) {
//echo "<th align='center' width='1%' bgcolor='#FF0000'>".$i."</th>";

    $datos_mes[] = array(
    'dia' => $i,
    'estado' => 0,
    );
}
//print_r($datos_mes);
//exit;
/*
        $educa_ced=$educadorx->cedula;

        $datos_educa = [
        'id_ed' => $educadorx->cedula,
        'ape_ed' => $educadorx->apellidos,
        'nom_ed' => $educadorx->nombres,
        ];

        $educador = $this->EducaModel->EducaCursos($educa_ced);*/
        //       var_dump($educador);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
//    echo $twig->render('educadores/asistencia.html.twig', ['datos_educa' => $datos_educa,'datos_meses' => $datos_mes,'educados' => $educadorx]);
    echo $twig->render('educadores/asistencia.html.twig', ['datos_meses' => $datos_mes,'reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function ActitudinalesGuardar(){
    $asiste=$_POST;
    $id=$_SESSION['email'];

    if($educadorx = $this->EducaModel->EducaActitudinalGuardar($asiste)){
    }else{
    //$error_msj= 'Hay una nota incorrecta...';
    }

    $curso=$asiste['no_id'];
    //redirect('educadores/actitudinales/'.$asiste['no_id']);
    redirect('educadores/evaluaciones/'.$asiste['idd']);
    }


    public function evaluaciones($id){
        $idx=$_SESSION['email'];

        $evaluacion = $this->EducaModel->EducaEval($id);

        //$eval_mes = $this->EducaModel->EducaMes($id);

        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'id_asiste' => $id,
        ];

        if($eval_mes = $this->EducaModel->EducatecMes($educa_ced,$id)){
        }else{
        redirect('educadores/');
        }

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('educadores/evaluacion.html.twig', ['eval_mes' => $eval_mes,'datos_educa' => $datos_educa,'evaluacion' => $evaluacion]);
    }

    public function notas($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

     $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);


    $educa_tec=$eval_control->tecnica;
    $ceds=$eval_control->codigo;
    $ver_tecnica = $this->EducaModel->EducaTecnica($educa_tec);

    if($nro_eval==0){
    $eval_notas = $this->EducaModel->EducaAlum($ceds);
    }

    $eval_alumnos = $this->EducaModel->EducaAlum($ceds);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('educadores/notas.html.twig', ['reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function Notas_pro($id){

        $nro_eval = $this->EducaModel->EducaCountEval($id);
        $reg_eval = $this->EducaModel->EducaRegEval($id);
        $idx=$_SESSION['email'];
        $educador = $this->EducaModel->EducaById($idx);
        $educa_ced=$educador->cedula;
        $datos_educa = [
        'id_ed' => $educador->cedula,
        'ape_ed' => $educador->apellidos,
        'nom_ed' => $educador->nombres,
        'nro_eval' => $nro_eval,
        'nro_id' => $id,
        ];

    $eval_notas = $this->EducaModel->EducaVerNotas($id);

    $eval_control = $this->EducaModel->EducaControl($id);
    $educa_tec=$eval_control->tecnica;
    $ceds=$eval_control->codigo;
    $ver_tecnica = $this->EducaModel->EducaTecnica($educa_tec);
    $eval_alumnos = $this->EducaModel->EducaAlum($ceds);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('educadores/notas1.html.twig', ['reg_eval' => $reg_eval,'eval_alumnos' => $eval_alumnos,'ver_tecnica' => $ver_tecnica,'eval_control' => $eval_control,'datos_educa' => $datos_educa,'eval_notas' => $eval_notas]);
    }

    public function notas_mod($reg){
    //echo $reg.'kkkk';
    //exit;
    $registro=explode("$",$reg);
    $no_eval=$registro[0];$no_id=$registro[1];$no_cur=$registro[2];

    $eval_alumnos = $this->EducaModel->EducaAlum($no_cur);

    $eval_control = $this->EducaModel->EducaTraerNotas($no_eval,$no_id,$no_cur);
    //$eval_notas = $this->EducaModel->EducaTraerNotas($no_eval,$no_id,$no_cur);
    $html ="
    <table class='table table-striped table-hover table-sm' style='font-size: small;'>
<thead style='background-color: #006699;color:#FFFFFF;'>
    <tr class='d-flex'>
    <th class='col-sm-1 text-center'>No.</th>
    <th class='col-sm-2 text-center'>Cedula</th>
    <th class='col-sm-7 text-center'>Alumnos</th>
    <th class='col-sm-2 text-center'>Nota 1</th>
    </tr>
</thead><tbody>";
$nro=1;
$tabnro=201;
foreach ($eval_alumnos as $e){
$sw=0;
    foreach ($eval_control as $p){
    if($e->cedula==$p->cedula){
    $html .="
         <tr class='d-flex'>
            <td class='col-sm-1 text-center'>".$nro."</td>
            <td class='col-sm-2 text-center'>".$p->cedula."</td>
            <th class='col-sm-7 text-center'>".$p->apellidos." ".$p->nombres."(".$p->tag1.")</th>
            <th class='col-sm-2 text-center'>

        <input type=hidden name='ced[]' id='ced' value='".$p->cedula."'>
        <input style='heigth : 1px' class='text-center' tabindex='".$tabnro."' type='number' id='nota' name='nota[]' size='5' value='".$p->ntt."' maxlength='5' min='0' max='20' onfocus='this.select();'/>

        </th>
        </tr>";
    $nro++;
    $tabnro++;
    $sw=1;
    break;
    }
    }
    if($sw==0){
    $html .="
         <tr class='d-flex'>
            <td class='col-sm-1 text-center'>".$nro."</td>
            <td class='col-sm-2 text-center'>".$e->cedula."</td>
            <th class='col-sm-7 text-center'>".$e->apellidos." ".$e->nombres."(".$e->tag1.")</th>
            <th class='col-sm-2 text-center'>

        <input type=hidden name='ced[]' id='ced' value='".$e->cedula."'>
        <input style='heigth : 1px' class='text-center' tabindex='".$tabnro."' type='number' step='0.01' id='nota' name='nota[]' size='5' value='0' maxlength='5' min='0' max='20' onfocus='this.select();'/>
        </th>
        </tr>";
    $nro++;
    $tabnro++;
    }
}
    $html .="</tbody></table>";
    echo $html;
    }

    public function notas_del($reg){
    $registro=explode("$",$reg);
    $no_eval=$registro[0];$no_id=$registro[1];$no_cur=$registro[2];
    $eval_control = $this->EducaModel->EducaDelNotas($no_eval,$no_id,$no_cur);
    }

    public function guardar(){
    $tipos = $this->estModel->getTipo();
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);

    $_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
    if($_SERVER['REQUEST_METHOD'] == 'POST'){

    if(strstr($_POST['alicuota'], ",")) {
    $alicuota = str_replace(".", "", $_POST['alicuota']); // replace dots (thousand seps) with blancs
    $alicuota = str_replace(".", "", $alicuota); // replace dots (thousand seps) with blancs
    $alicuota = str_replace(",", ".", $alicuota); // replace ',' with '.'
    }

    if(strstr($_POST['superficie'], ",")) {
    $superficie = str_replace(".", "", $_POST['superficie']); // replace dots (thousand seps) with blancs
    $superficie = str_replace(".", "", $superficie); // replace dots (thousand seps) with blancs
    $superficie = str_replace(",", ".", $superficie); // replace ',' with '.'
    }

        $data = [
        'id_edificio' =>trim($_POST['id_edificio']),
        'inmueble' =>strtoupper(trim($_POST['inmueble'])),
        'apellido' =>strtoupper(trim($_POST['apellido'])),
        'nombre' =>strtoupper(trim($_POST['nombre'])),
        'alicuota' =>$alicuota,
        'superficie' =>$superficie,
        'tipo' =>strtoupper($_POST['tipo']),
        'estado' =>strtoupper($_POST['estado']),
        'torre' =>strtoupper($_POST['torre']),
        'celular' =>$_POST['celular'],
        'local' =>$_POST['local'],
        'correo' =>strtolower($_POST['correo']),
        'campoE1' => '',
        'campoE2' => '',
    ];
//var_dump($data);
//exit;
            $error_msj='';

            if($this->ProModel->qryPro($data['inmueble'])){
                }else{
                    $twig->addGlobal('msj_err','Inmueble ya registrado...');
                    $layout = $twig->load('inc/base.html.twig');
                    echo $twig->render('propietarios/nuevo.html.twig', ['tipos' => $tipos,'datos' => $data]);
                    exit;
                }
            if(strlen(trim($data['nombre']))<=0){
                $data['campoE1'] = 'Escriba un Nombre...';
                flash('post_message', 'Se ha encontrado un error !!!');
                $error_msj= 'Escriba un Nombre...';
            }
            if(strlen(trim($data['apellido']))<=0){
                $data['campoE1'] = 'Escriba un Apellido...';
                flash('post_message', 'Se ha encontrado un error !!!');
                $error_msj= 'Escriba un Apellido...';
            }
                if(strlen(trim($data['nombre']))>0){
                if($this->ProModel->addPro($data)){
                    redirect('propietarios');
                }else{
                    $twig->addGlobal('msj_err','No se almacenaron los datos...');
                    $layout = $twig->load('inc/base.html.twig');
                    echo $twig->render('propietarios/nuevo.html.twig', ['tipos' => $tipos,'datos' => $data]);
                }
            }else{

            $twig->addGlobal('msj_err',$error_msj);
            $layout = $twig->load('inc/base.html.twig');
            echo $twig->render('propietarios/nuevo.html.twig', ['tipos' => $tipos,'datos' => $data]);
            }
        }else{
        $data = [
        'id_edificio' =>trim($_POST['id_edificio']),
        'inmueble' =>trim($_POST['inmueble']),
        'apellido' =>strtoupper(trim($_POST['apellido'])),
        'nombre' =>strtoupper(trim($_POST['nombre'])),
        'alicuota' =>$_POST['alicuota'],
        'superficie' =>$_POST['superficie'],
        'tipo' =>strtoupper($_POST['tipo']),
        'estado' =>strtoupper($_POST['estado']),
        'torre' =>strtoupper($_POST['torre']),
        'celular' =>$_POST['celular'],
        'local' =>$_POST['local'],
        'correo' =>strtolower($_POST['correo']),
        'campoE1' => '',
        'campoE2' => '',
         ];
        $twig->addGlobal('msj_err',$error_msj);
        $layout = $twig->load('inc/base.html.twig');
        echo $twig->render('propietarios/nuevo.html.twig', ['tipos' => $tipos,'datos' => $data]);
        }
    }

    //show single post
    public function muestra($id){
    $propietarios = $this->ProModel->getProById($id);

    if(strstr($propietarios->alicuota, ".")) {
    $alicuota = str_replace(".", ",",$propietarios->alicuota); // replace dots (thousand seps) with blancs
//    $alicuota = str_replace(",", ".", $alicuota); // replace ',' with '.'
    }

    if(strstr($propietarios->superficie, ".")) {
    $superficie = str_replace(".", ",",$propietarios->superficie); // replace dots (thousand seps) with blancs
//    $superficie = str_replace(",", ".", $superficie); // replace ',' with '.'
    }
        $data = [
        'id' =>trim($propietarios->id),
        'id_edificio' =>trim($propietarios->id_edificio),
        'inmueble' =>trim($propietarios->inmueble),
        'apellido' =>strtoupper($propietarios->apellido),
        'nombre' =>strtoupper(trim($propietarios->nombre)),
        'alicuota' =>$alicuota,
        'superficie' =>$superficie,
        'tipo' =>$propietarios->tipo,
        'estado' =>strtoupper($propietarios->estado),
        'torre' =>strtoupper($propietarios->torre),
        'celular' =>$propietarios->celular,
        'local' =>$propietarios->local,
        'correo' =>strtolower($propietarios->correo),
         ];

    $tipos = $this->estModel->getTipo();
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['name']);
    $layout = $twig->load('inc/base.html.twig');
    echo $twig->render('propietarios/editar.html.twig', ['tipos' => $tipos,'datos' => $data]);
    }

     //edit post
    public function guardarEval(){

    $_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
    if($_SERVER['REQUEST_METHOD'] == 'POST'){

    $eval_ced=$_POST['ced'];
    $eval_ntt=$_POST['nota'];

    $data = [
        'no_eval' =>trim($_POST['no_eval']),
        'no_id' =>trim($_POST['no_id']),
        'fecha' =>strtoupper(trim($_POST['fecha'])),
        'obj' =>strtoupper(trim($_POST['objetivo'])),
        'obj2' =>strtoupper(trim($_POST['objetivo2'])),
        'no_tec' =>trim($_POST['no_tec']),
        'carga' =>trim($_POST['carga']),
        'mes' =>trim($_POST['mes']),
        'anho' =>trim($_POST['anho']),
        'no_cur' =>trim($_POST['no_cur']),


        'eval_ced' =>$_POST['ced'],
        'eval_ntt' =>$_POST['nota'],

        'campoE1' => '',
        'campoE2' => '',
    ];

            $error_msj='';

            if(strlen(trim($data['obj']))<=0){
                $data['campoE1'] = 'Escriba un Nombre...';
                $error_msj= 'Escriba un objetivo...';
            }


            if(strlen(trim($data['obj']))>0){
                if($this->EducaModel->EducaGuardarEval($data)){
                    //flash('post_message', 'Your post have been added');
                    redirect('educadores/notas/'.$data['no_id']);  //$this->notas($data['no_id']);
                }else{
                redirect('educadores/notas/'.$data['no_id']);
                }
            }else{
            redirect('educadores/notas/'.$data['no_id']);
            }
        }else{
        redirect('educadores/notas/'.$data['no_id']);
        }
    }

    public function EditarEval(){

    $_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
    if($_SERVER['REQUEST_METHOD'] == 'POST'){

    $eval_ced=$_POST['ced'];
    $eval_ntt=$_POST['nota'];

    $data = [
        'no_eval' =>trim($_POST['no_eval']),
        'no_id' =>trim($_POST['no_id']),
        'fecha' =>strtoupper(trim($_POST['fecha'])),
        'obj' =>strtoupper(trim($_POST['objetivo'])),
        'no_tec' =>trim($_POST['no_tec']),
        'carga' =>trim($_POST['carga']),
        'mes' =>trim($_POST['mes']),
        'anho' =>trim($_POST['anho']),
        'no_cur' =>trim($_POST['no_cur']),


        'eval_ced' =>$_POST['ced'],
        'eval_ntt' =>$_POST['nota'],

        'campoE1' => '',
        'campoE2' => '',
    ];

            $error_msj='';

            if(strlen(trim($data['obj']))<=0){
                $data['campoE1'] = 'Escriba un Nombre...';
                $error_msj= 'Escriba un objetivo...';
            }


            if(strlen(trim($data['obj']))>0){
                if($this->EducaModel->EducaEditarEval($data)){
                    //flash('post_message', 'Your post have been added');
                    redirect('educadores/notas/'.$data['no_id']);  //$this->notas($data['no_id']);
                }else{
                redirect('educadores/notas/'.$data['no_id']);
                }
            }else{
            redirect('educadores/notas/'.$data['no_id']);
            }
        }else{
        redirect('educadores/notas/'.$data['no_id']);
        }
    }
    //delete post
    public function delete($id){
        if($_SERVER['REQUEST_METHOD'] == 'POST'){
            //check for owner
          //  $post = $this->ProModel->getPostById($id);
         //   if($post->name != $_SESSION['name']){
         //       redirect('propietarios');
         //   }

            //call delete method from post model
            if($this->ProModel->deleteEdif($id)){
                flash('post_message', 'Post Removed');
                return;
                //redirect('propietarios');
            }else{
                die('something went wrong');
            }
        }else{
            return;
            //redirect('propietarios');
        }
    }

    public function recibo_imp($data){

    $imp_recibo00=  $this->ProModel->Rec_Imp00($data);
    $imp_recibo01=  $this->ProModel->Rec_Imp01($data);
    $id_inmueble=   $imp_recibo00->id_inmueble;
    $imp_pro=       $this->ProModel->getProById($id_inmueble);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    //$twig->addGlobal('names',$_SESSION['name']);
    //$layout = $twig->load('inc/base.html.twig');
    $html = $twig->render('propietarios/recibos_imp.html.twig', ['pro' => $imp_pro,'imp_recibo00' => $imp_recibo00,'imp_recibo01' => $imp_recibo01]);

                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);
    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);

    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("recibos_pago.pdf", ["Attachment" => false]);
    //redirect('transacciones');
    }

public function sabana(){
        $id=$_SESSION['email'];
        $educadorx = $this->EducaModel->EducaById($id);
        $educa_ced=$educadorx->cedula;
        $datos_educa = [
        'id_ed' => $educadorx->cedula,
        'ape_ed' => $educadorx->apellidos,
        'nom_ed' => $educadorx->nombres,
        'nom_mes' => $_POST['mes'],
        'nom_ano' => $_POST['anho'],
        ];

$mes_viene=$_POST['mes'];
$ano=$_POST['anho'];
$curso=$_POST['id_curso'];

$fecha=date("d/m/Y");

$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
$mes_ahora=$mes[intval($mes_viene)-1];
$dia_mes = array("D","L","M","M","J","V","S");

$fecha_ini=$ano."-".$mes_viene."-01";
$ver_f=explode("-", $fecha_ini);
$anho =$ver_f[0];
$mes = $ver_f[1];

   if (((fmod($anho,4)==0) and (fmod($anho,100)!=0)) or (fmod($anho,400)==0)) {
   $dias_febrero = 29;
   } else {
   $dias_febrero = 28;
   }

   switch($mes) {
       case "01": $dias=31; break;
       case "02": $dias=$dias_febrero; break;
       case "03": $dias= 31; break;
       case "04": $dias= 30; break;
       case "05": $dias= 31; break;
       case "06": $dias= 30; break;
       case "07": $dias= 31; break;
       case "08": $dias= 31; break;
       case "09": $dias= 30; break;
       case "10": $dias= 31; break;
       case "11": $dias= 30; break;
       case "12": $dias= 31; break;
   }

$fecha_fin=$ano."-".$mes_viene."-".$dias;
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin));
$dia_semana[]="";$dia_nro[]="";$j=0;
for ($i = 1; $i <= $dia_fin; $i++) {
$fecha_ini=$ano."-".$mes_viene."-".$i;
$dia_sem=date("w",strtotime($fecha_ini));
    if($dia_sem==0 or $dia_sem==6){
    }else{
    $dia_nro[$j]=$i;
    $dia_semana[$j]=$dia_mes[$dia_sem];
    $j=$j+1;
    }
}
        $estudiantes = $this->EducaModel->EducaAlum($curso);
        $programas = $this->EducaModel->EducaPrg($curso);

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['user_id']);
   // $layout = $twig->load('inc/base.html.twig');
    $html= $twig->render('educadores/sabana.html.twig', ['programas' => $programas,'dia_nro' => $dia_nro,'dia_semana' => $dia_semana,'estudiantes' => $estudiantes,'datos_educa' => $datos_educa]);

                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("Sabana.pdf", ["Attachment" => false]);

}

}
